package com.kingdee.eas.custom.erp;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class synSalryFromErpFactory
{
    private synSalryFromErpFactory()
    {
    }
    public static com.kingdee.eas.custom.erp.IsynSalryFromErp getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynSalryFromErp)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("3E518859") ,com.kingdee.eas.custom.erp.IsynSalryFromErp.class);
    }
    
    public static com.kingdee.eas.custom.erp.IsynSalryFromErp getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynSalryFromErp)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("3E518859") ,com.kingdee.eas.custom.erp.IsynSalryFromErp.class, objectCtx);
    }
    public static com.kingdee.eas.custom.erp.IsynSalryFromErp getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynSalryFromErp)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("3E518859"));
    }
    public static com.kingdee.eas.custom.erp.IsynSalryFromErp getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynSalryFromErp)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("3E518859"));
    }
}